//
//  knapsack.h
struct CKnapSackItem
{
	double m_weight;
	double m_profit;
	bool	 m_isIncluded;
};

class CKnapSackProblem
{
public:
	int m_numItems;
	double m_maxWeight;
	double m_avgWeightPerItem;
	double m_weightVariance;
	double m_avgProfitPerItem;
	double m_profitVariance;

	CKnapSackItem *m_item;

	CKnapSackProblem();
	~CKnapSackProblem();

	void	Regenerate();
//	void  Solve();
	void  GetTotals( int &totalItems, double &totalProfit, double &totalWeight);

};