// KnapSackGASolver.h : Declaration of the CKnapSackGASolver

#ifndef __KNAPSACKGASOLVER_H_
#define __KNAPSACKGASOLVER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CKnapSackGASolver
class ATL_NO_VTABLE CKnapSackGASolver : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CKnapSackGASolver, &CLSID_KnapSackGASolver>,
	public IKnapSackGASolver
{
public:
	CKnapSackGASolver()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_KNAPSACKGASOLVER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CKnapSackGASolver)
	COM_INTERFACE_ENTRY(IKnapSackGASolver)
END_COM_MAP()

// IKnapSackGASolver
public:
	STDMETHOD(Solve)(int *nItems, double *profits, double *weights, double maxWeight, BOOL **isIncluded, double *totalProfit);
};

#endif //__KNAPSACKGASOLVER_H_
