/*
#include <stdlib.h>
#include "theta.h"
#include "tNear.h"
#include <string>
#include <iostream>

using namespace std;


int main (int argv, char **argc)
{
   typedef CThetaMatch<string> CTM;
   CTM ctm( 256 );

   CNearTree<string, CTM> Tree;

   string s = "t";
   Tree.m_fnInsert ( s, ctm );
   s = "te";
   Tree.m_fnInsert ( s, ctm );
   s = "et";
   Tree.m_fnInsert ( s, ctm );
   s = "tte";
   Tree.m_fnInsert ( s, ctm );
   s = "tet";
   Tree.m_fnInsert ( s, ctm );
   s = "ett";
   Tree.m_fnInsert ( s, ctm );
   s = "tet";
   Tree.m_fnInsert ( s, ctm );
   s = "ete";
   Tree.m_fnInsert ( s, ctm );
   s = "eet";
   Tree.m_fnInsert ( s, ctm );
   s = "eee";
   Tree.m_fnInsert ( s, ctm );
   s = "ttt";
   Tree.m_fnInsert ( s, ctm );

   ctm.SetThetaWeights ( 10.0, 8.0 );
   double dwc = 0.4;

   string result;
   for ( int i=0; i<2; ++i )
   {
      Tree.m_bfnNearestNeighbor ( ctm, 1000.0, result, "ttt" );
      cout << result << endl;
      ctm.set_ThetaCompensation( dwc );
      dwc = 0.0;
   }

   s = "t";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "te";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "et";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "tte";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "tet";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "ett";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "tet";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "ete";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "eet";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "eee";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;
   s = "ttt";
      Tree.m_bfnNearestNeighbor ( ctm, .01, result, s );
      cout << "test string " << s << " result " << result << endl;

   s = "eeee";
   double rad = 0.1;
      if ( Tree.m_bfnNearestNeighbor ( ctm, rad, result, s ) )
         cout << "test string " << s << " result " << result << endl;
      else
         cout << "test string " << s << " result is null to radius " << rad << endl;

      rad = 1.1;
   s = "test";
      if ( Tree.m_bfnNearestNeighbor ( ctm, rad, result, s ) )
         cout << "test string " << s << " result " << result << endl;
      else
         cout << "test string " << s << " result is null to radius " << rad << endl;

   s = "reset";
      if ( Tree.m_bfnNearestNeighbor ( ctm, rad, result, s ) )
         cout << "test string " << s << " result " << result << endl;
      else
         cout << "test string " << s << " result is null to radius " << rad << endl;

   return (EXIT_SUCCESS);
}

*/

