// TimeShareGASolver.h : Declaration of the CTimeShareGASolver

#ifndef __TIMESHAREGASOLVER_H_
#define __TIMESHAREGASOLVER_H_

#include "resource.h"       // main symbols
#include "tsgenome.h"

/////////////////////////////////////////////////////////////////////////////
// CTimeShareGASolver
class ATL_NO_VTABLE CTimeShareGASolver : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CTimeShareGASolver, &CLSID_TimeShareGASolver>,
	public ITimeShareGASolver
{
public:
	CTimeShareGASolver()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_TIMESHAREGASOLVER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CTimeShareGASolver)
	COM_INTERFACE_ENTRY(ITimeShareGASolver)
END_COM_MAP()

   //
   // Input, Output
   HRESULT ReadOwnerInfo();
   WriteBestSolution(TSGenome best);

	// ITimeShareGASolver
public:
	STDMETHOD(Solve)();
};

#endif //__TIMESHAREGASOLVER_H_
