//
//  gagenome.cpp - GAGenome class.
/////////////////////////////////////
#include "stdafx.h"
#include "stdlib.h"
#include "math.h"
#include "assert.h"
#include "gagenome.h"

/////////////////////////////////////
GAGenome::GAGenome()
{
   m_obj=0;
   m_fitness = 0;
   m_selProb=0;
   m_selected = 0;
}

/////////////////////////////////////
GAGenome::~GAGenome()
{
}


/////////////////////////////////////
GAGenome& GAGenome::operator = (const GAGenome& rhs)
{
   m_obj = rhs.m_obj;
   m_fitness = rhs.m_fitness;
   m_selProb = rhs.m_selProb;
   m_selected = rhs.m_selected;
   return *this;
}

/////////////////////////////////////
GA_API int RandomNum(int maxValPlusOne)
{
   int r = rand();
   int rnum = (r*maxValPlusOne)/(RAND_MAX+1);
   return rnum;
}

/////////////////////////////////////
GA_API void RandomSeed(int seed)
{
   srand(seed);
}
