// ksuiDlg.h : header file
//

#if !defined(AFX_KSUIDLG_H__BAA0C659_3D62_4643_A016_8316D8BD426A__INCLUDED_)
#define AFX_KSUIDLG_H__BAA0C659_3D62_4643_A016_8316D8BD426A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "knapsack.h"

/////////////////////////////////////////////////////////////////////////////
// CKsuiDlg dialog

class CKsuiDlg : public CDialog
{
// Construction
public:
	CKsuiDlg(CWnd* pParent = NULL);	// standard constructor
	CKnapSackProblem m_knapSack;
	void RefreshParameterControls();
	void RefreshItemList();
	void RefreshResultsControls();
	void RefreshKnapsack();


// Dialog Data
	//{{AFX_DATA(CKsuiDlg)
	enum { IDD = IDD_KSUI_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKsuiDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CKsuiDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRegenerate();
	afx_msg void OnIncludeSelected();
	afx_msg void OnExcludeSelected();
	afx_msg void OnIncludeAll();
	afx_msg void OnExcludeAll();
	afx_msg void OnDblclkPossibleItems();
	afx_msg void OnDblclkIncludedItems();
	afx_msg void OnSolve();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KSUIDLG_H__BAA0C659_3D62_4643_A016_8316D8BD426A__INCLUDED_)
